#===============================================================================
#
# BQCD -- Berlin Quantum ChromoDynamics programme
#
# Author: Hinnerk Stueben <stueben@zib.de>
#
# Copyright (C) 1998-2003, Hinnerk Stueben, Zuse-Institut Berlin
#
#-------------------------------------------------------------------------------
#
# Makefile-hitachi.var - settings on Hitachi SR8000 (pure MPI version)
#
#-------------------------------------------------------------------------------

SHELL     = /bin/ksh

MODULES_FLAG = -I$(MODULES_DIR)

FPP       = cpp -C -P
F90       = mpif90
CC        = cc
AR        = ar
RANLIB    = echo

MYFLAGS   = -DTIMING -DD3_BUFFER_VOL=1
FFLAGS    = $(MODULES_FLAG) -opt=ss -par=0 -contarea=2
CFLAGS    = -DLongLong
ARFLAGS   = rv

LDFLAGS   = +BTLB
SYSLIBS   = /usr/local/lib/liblrz.a -lf90c -lpl

FAST_MAKE = JOBTYPE=SS prun -p IAPAR gmake -j 8

CKSUM_O   = cksum.o
RANDOM_O  = ran.o ranf.o
UUU_O     = uuu_f90.o

LIBD      = libd2.a
LIBCOMM   = lib_mpi.a
LIBCLOVER = libclover.a

#===============================================================================
